using System.ComponentModel;
using System.Configuration.Install;
using System.ServiceProcess;

namespace CustomsCargoSystem.ExchangeDataStorageService
{
	[RunInstaller(true)]
	public class ProjectInstaller : Installer
	{
		private IContainer components = null;

		public ServiceProcessInstaller serviceProcessInstaller1;

		public ServiceInstaller serviceInstaller1;

		public ProjectInstaller()
		{
			InitializeComponent();
		}

		protected override void Dispose(bool disposing)
		{
			if (disposing && components != null)
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		private void InitializeComponent()
		{
			serviceProcessInstaller1 = new ServiceProcessInstaller();
			serviceInstaller1 = new ServiceInstaller();
			serviceProcessInstaller1.Account = ServiceAccount.LocalSystem;
			serviceProcessInstaller1.Password = null;
			serviceProcessInstaller1.Username = null;
			serviceInstaller1.Description = "新舱单数据订阅服务";
			serviceInstaller1.DisplayName = "新舱单数据订阅服务";
			serviceInstaller1.ServiceName = "新舱单数据订阅服务";
			base.Installers.AddRange(new Installer[2]
			{
				serviceProcessInstaller1,
				serviceInstaller1
			});
		}
	}
}
